### Method

# Handy Flap set_swipe_to_close

since: 1.2

#### Declaration [src]

    void
    hdy_flap_set_swipe_to_close (
      HdyFlap* self,
      gboolean swipe_to_close
    )

#### Description [src]

Sets whether `self` can be closed with a swipe gesture.

The area that can be swiped depends on the `HdyFlap:transition-type` value.

Available since: 1.2

Sets property | `Handy.Flap:swipe-to-close`

#### Parameters

`swipe_to_close`

  Type: `gboolean`

  Whether `self` can be closed with a swipe gesture.